Loading...
Searching...
No Matches
Opm::EclIO::EclOutput Class Reference

## Public Member Functions

| EclOutput (const std::string &filename, const bool formatted, const std::ios_base::openmode mode=std::ios::out)
template<typename T>
void | write (const std::string &name, const std::vector< T > &data)
void | write (const std::string &name, const std::vector< std::string > &data, int element_size)
void | message (const std::string &msg)
void | flushStream ()
void | set_ix ()
template<>
void | write (const std::string &name, const std::vector< PaddedOutputString< 8 > > &data)
template<>
void | write (const std::string &name, const std::vector< PaddedOutputString< 8 > > &data)

## Friends

class | OutputStream::Restart
class | OutputStream::SummarySpecification

The documentation for this class was generated from the following files:

- opm/io/eclipse/EclOutput.hpp
- opm/io/eclipse/EclOutput.cpp